Bug 586419 - Unable to complete install: 'internal error Unable to daemonize QEMU process'
Unable to complete install: 'internal error Unable to daemonize QEMU process'
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 10:21 EDT by Brian Wheeler
Modified: 2012-04-26 15:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-26 15:20:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Wheeler 2010-04-27 10:21:35 EDT
Description of problem:

When trying to create a vm for rhel6 I get this message:

Unable to complete install: 'internal error Unable to daemonize QEMU process'

with this stack trace:

Unable to complete install 'libvirt.libvirtError internal error Unable to daemonize QEMU process
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 724, in do_install
    dom = guest.start_install(False, meter = meter)
  File "/usr/lib/python2.4/site-packages/virtinst/Guest.py", line 541, in start_install
    return self._do_install(consolecb, meter, removeOld, wait)
  File "/usr/lib/python2.4/site-packages/virtinst/Guest.py", line 633, in _do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib64/python2.4/site-packages/libvirt.py", line 974, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: internal error Unable to daemonize QEMU process
'

and these messages in /var/log/messages:

Apr 27 10:13:26 bleu libvirtd: 10:13:26.100: error : Domain not found: no domain with matching uuid '"t���8��@��N' 
Apr 27 10:13:26 bleu libvirtd: 10:13:26.107: error : Domain not found: no domain with matching name 'dlptest2' 
Apr 27 10:13:26 bleu kernel: device vnet0 entered promiscuous mode
Apr 27 10:13:26 bleu kernel: virbr0: topology change detected, propagating
Apr 27 10:13:26 bleu kernel: virbr0: port 1(vnet0) entering forwarding state
Apr 27 10:13:26 bleu kernel: libvirtd[17488]: segfault at 000000004453c000 rip 00002ad2b57eaf31 rsp 0000000044538ca0 error 4
Apr 27 10:13:26 bleu libvirtd: 10:13:26.200: error : internal error Unable to daemonize QEMU process 
Apr 27 10:13:26 bleu kernel: virbr0: port 1(vnet0) entering disabled state
Apr 27 10:13:26 bleu kernel: device vnet0 left promiscuous mode
Apr 27 10:13:26 bleu kernel: virbr0: port 1(vnet0) entering disabled state


Version-Release number of selected component (if applicable):
kvm-83-164.el5
kmod-kvm-83-164.el5
kvm-tools-83-164.el5
kvm-qemu-img-83-164.el5
libvirt-python-0.6.3-33.el5
libvirt-0.6.3-33.el5

The actual vm settings are pretty standard:

fully virtualized, 512M, 1 cpu

RHEL6 selected as os, booting from cdrom image

4G disk

virtual network
Comment 1 Dave Allan 2011-01-26 22:31:06 EST
We rebased libvirt in 5.6.  Can you retest to see if this behavior still exists?
Comment 2 Dave Allan 2011-01-31 21:11:25 EST
We're going to need additional information in order to make progress on this BZ.
Comment 3 Dave Allan 2012-04-26 15:20:38 EDT
Closing as INSUFFICIENT DATA.

Note You need to log in before you can comment on or make changes to this bug.